Name:           bibletime
Version:        2.9.1
Release:        %mkrel 3
Epoch:          0
Summary:        Easy to use Bible study tool
License:        GPLv2+
Url:            http://www.bibletime.info/
Group:          Text tools
Source0:        http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2

#upstream patches (100-300)
Patch100:       Fix-moveToAnchor-for-Qt5.patch

# Mageia patches (300-400)

BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  sword-devel
BuildRequires:  boost-devel
BuildRequires:  clucene-devel
BuildRequires:  desktop-file-utils
BuildRequires:  cmake
Requires:       sword

%description
BibleTime is a free and easy to use bible study tool built with QT4.

BibleTime provides easy handling of digitized texts (Bibles, commentaries 
and lexicons) and powerful features to work with these texts (search in 
texts, write own notes, save, print etc.). Bibletime is a front-end for 
the SWORD Bible Framework.

%prep
%setup -q
%apply_patches

%build
%cmake_qt4 -DCMAKE_BUILD_TYPE=Release
%make

%install
%{makeinstall_std} -C build

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--add-category="Office" \
	--add-category="TextTools" \
	--add-category="Utility" \
	%buildroot%_datadir/applications/*.desktop

%files
%doc ChangeLog LICENSE README
%{_bindir}/bibletime
%{_datadir}/bibletime
%{_datadir}/icons/bibletime.svg
%{_datadir}/applications/*.desktop


%changelog

* Thu May 02 2013 lmenut <lmenut> 0:2.9.1-3.mga3
+ Revision: 411967
- add upstream patch to fix bibletime doesn't display text
  when using qtwebkit-2.3 (mga #9947, rhbz #952390)

* Fri Jan 11 2013 umeabot <umeabot> 0:2.9.1-2.mga3
+ Revision: 346899
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 doktor5000 <doktor5000> 0:2.9.1-1.mga2
+ Revision: 219235
- new version 2.9.1
- add proper desktop file categories

* Sun Dec 18 2011 fwang <fwang> 0:2.8.4-2.mga2
+ Revision: 183681
- build release, otherwise it fails with all warnings
- br qtwebkit

* Mon Nov 28 2011 doktor5000 <doktor5000> 0:2.8.4-1.mga2
+ Revision: 173852
- new version 2.8.4
  o fixes book names language default setting
- dropped clucene2.patch, fixed upstream

* Thu Nov 03 2011 mikala <mikala> 0:2.8.2-3.mga2
+ Revision: 161949
- Add patch0 to fix build against clucene 2.x

  + dmorgan <dmorgan>
    - Rebuild against new clucene

  + doktor5000 <doktor5000>
    - bump release

* Wed Sep 28 2011 doktor5000 <doktor5000> 0:2.8.2-1.mga2
+ Revision: 149909
- new version 2.8.2
- removed versioned BuildRequires
- removed Obsoletes
- removed obsolete %%defattrs, %%clean, %%update_menus and BuildRoot
- imported package bibletime


* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 0:2.8.1-1mdv2011.0
+ Revision: 634031
- New version 2.8.1

* Tue Sep 07 2010 Funda Wang <fwang@mandriva.org> 0:2.7.3-1mdv2011.0
+ Revision: 576430
- new version 2.7.3
- update BR

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 0:2.6-1mdv2010.1
+ Revision: 510993
- new version 2.6

* Sat Jan 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0:2.5-1mdv2010.1
+ Revision: 485178
- update to new version 2.5

* Fri Nov 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.4-1mdv2010.1
+ Revision: 467660
- update to new version 2.4

* Mon Nov 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.3.3-1mdv2010.1
+ Revision: 466683
- Update to new version 2.3.3
- Fix summary and description (thanks Eeli Kaikkonen)

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.3-1mdv2010.1
+ Revision: 462325
- update to new version 2.3

* Sun Aug 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.2-1mdv2010.0
+ Revision: 422454
- update to new version 2.2

* Sat Jul 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.0.1-1mdv2010.0
+ Revision: 392361
- update to new version 2.0.1

* Sat Jun 06 2009 Frederik Himpe <fhimpe@mandriva.org> 0:2.0-1mdv2010.0
+ Revision: 383194
- update to new version 2.0

* Thu Mar 26 2009 Buchan Milne <bgmilne@mandriva.org> 0:1.7-1mdv2009.1
+ Revision: 361324
- Final 1.7

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 0:1.7-0.beta3.1mdv2009.1
+ Revision: 331799
- fix typo
- 1.7 beta 3

* Tue Jun 17 2008 Funda Wang <fwang@mandriva.org> 0:1.6.5.1-1mdv2009.0
+ Revision: 222293
- New version 1.6.5.1
- move to /opt

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Funda Wang <fwang@mandriva.org> 0:1.6.5-3mdv2008.1
+ Revision: 171454
- rebuild to obsoletes bibletime-i18n again :(

* Mon Jan 07 2008 Funda Wang <fwang@mandriva.org> 0:1.6.5-2mdv2008.1
+ Revision: 146264
- rebuild to obsoletes bibletime-i18n again

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix spacing in description

* Sat Dec 08 2007 Funda Wang <fwang@mandriva.org> 0:1.6.5-1mdv2008.1
+ Revision: 116510
- disable parallel build
- Obsoletes old i18n packages
- New version 1.6.5
- Merge bibletime-i18n package

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Apr 30 2007 David Walluck <walluck@mandriva.org> 0:1.6.4-1mdv2008.0
+ Revision: 19687
- fix rpm eval and build
- cleanup
- 1.6.4


* Tue Mar 13 2007 David Walluck <walluck@mandriva.org> 1.6.3-3mdv2007.1
+ Revision: 143265
- fix source directory
- 1.6.3b

* Wed Feb 07 2007 David Walluck <walluck@mandriva.org> 0:1.6.3-1mdv2007.1
+ Revision: 116958
- 1.6.3

* Mon Feb 05 2007 Buchan Milne <bgmilne@mandriva.org> 0:1.6.2-3mdv2007.1
+ Revision: 116479
- Work around build system issues on x86_64
- Buildrequire clucene-devel

  + David Walluck <walluck@mandriva.org>
    - rebuild
    - 1.6.2
    - Import bibletime

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl

* Thu Sep 07 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.3-3mdv2007.0
- Rebuild
- xdg menu

* Fri Jan 20 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.3-2mdk
- spec cleanup, fixes build on x86_64

* Wed Dec 21 2005 Buchan Milne <bgmilne@mandriva.org> 1.5.3-1mdk
- New release 1.5.3

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1

* Fri Sep 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.1-4mdk
- Fix BuildRequires
- mkrel

* Thu Aug 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-3mdk
- rebuild for sword4
- put menu in More applications/Editors for now
- make it short-circuit-able

* Sat Jul 17 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.1-2mdk
- rebuild for gcc-3.4, minor spec cleanups

